local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireTear = ____shouldFire.shouldFireTear
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostTearUpdateFilter = __TS__Class()
local PostTearUpdateFilter = ____exports.PostTearUpdateFilter
PostTearUpdateFilter.name = "PostTearUpdateFilter"
__TS__ClassExtends(PostTearUpdateFilter, CustomCallback)
function PostTearUpdateFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireTear
    self.postTearUpdate = function(____, tear)
        self:fire(tear)
    end
    self.callbacksUsed = {{ModCallback.POST_TEAR_UPDATE, self.postTearUpdate}}
end
return ____exports
